Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Subversive » Instalation troubles
Instalation troubles [message #23150] Tue, 01 July 2008 13:17 Go to next message
Igor Firich is currently offline Igor Firich
Messages: 1
Registered: July 2009
Junior Member
Let me share our today's experience trying to install Subversive into
Eclipse 3.3.2, trying to follow the description at
http://www.eclipse.org/subversive/downloads.php.

First attempt:
1. Download clean Eclipse 3.3.2
2. Help | Software Updates | Find and Install -> New Features -> New
Remote Site, point it to
http://download.eclipse.org/technology/subversive/0.7/update -site/
3. The update fails on unmet requirement for org.eclipse.svn.core

After a lot of fiddling with selecting various update sites, adding the
two other Subversive update sites, etc. we finally gave up. According to
Google search this has been reported elsewhere and suggested that people
should rather download the archive of the update site, so on to second
attempt

Second attempt:
1. Download clean Eclipse 3.3.2
2. Download archive of Subversive
Subversive-incubation-0.7.1.I20080612-1500.zip
3. Figure out which mirror to use, because not all of them have the file
(same case with the update site, btw.)
4. Unpack over clean Eclipse 3.3.2
5. Start up Eclipse, go to Help | Software Updates | Find and Install
6. Bunch of errors "Error retrieving feature.xml" appear, the update
system is broken

In the end we figured out that the trick is to not use the site.xml file
from the archive, as this is what causes the problem.

Why is this have to be so terribly painful? The result is lack of basic
confidence in a tool which is absolutely critical for regular use.

Best,
Igor
Re: Instalation troubles [message #23457 is a reply to message #23150] Wed, 02 July 2008 13:11 Go to previous message
Eclipse User
Originally posted by: alexander.gurov.polarion.org

Hello Igor,


It looks like Eclipse mirrors reorganized in some strange manner which
prevents Eclipse 3.3.2 update manager from working with these mirrors. At
the same time Ganymede (Eclipse 3.4) update manager works fine with these
mirrors.

But what sounds strange for me is the problem with archived update site. I
have successfully downloaded this archive from the first proposed mirror,
then I have successfully installed plug-in from the archived update site
without any changes in site.xml file.

So, the steps are:
1) Download Subversive-incubation-0.7.1.I20080612-1500.zip
2) Run Eclipse 3.3.2 and select Help->Software Updates->Find and
Install...->Serach for new features for install
3) Press button Mew Archived Site and points Eclipse to downloaded update
site.
4) Select a features which I need and install them.
Previous Topic:No changes in merge
Next Topic:Compare/Replace with Base
Goto Forum:
  


Current Time: Thu Oct 30 18:17:26 GMT 2014

Powered by FUDForum. Page generated in 0.13190 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software